function [AugmentedPer, AuxPer] = Aux1_PercentageWeights_from_center(Per)

    AuxPer = nan*ones(size(Per,1),1);
    Distances = nan*ones(size(Per,1),1);

    CentralPoint = (100/3)*ones(1,3);

    for id_row = 1:size(Per,1)
        distance = sqrt( ((Per(id_row,1) - CentralPoint(1))^2) + ...
                         ((Per(id_row,2) - CentralPoint(2))^2) + ...
                         ((Per(id_row,3) - CentralPoint(3))^2));
        Distances(id_row) = distance;
    end

    max_distance = max(Distances);

    for id_row = 1:size(Per,1)
        AuxPer(id_row) = round((Distances(id_row)*(10/max_distance))^2);
    end

    AugmentedPer = nan*ones(sum(AuxPer),3);

    ini_index = 1;
    for id_row = 1:size(Per,1)
        fin_index = ini_index + AuxPer(id_row);
        height = fin_index - ini_index + 1;
        AugmentedPer(ini_index:fin_index,:) = [Per(id_row,1)*ones(height,1), Per(id_row,2)*ones(height,1), Per(id_row,3)*ones(height,1)];
        ini_index = fin_index + 1;
    end


end